Olympus Docs
ReferenceAPIsOry Identities APImetadata

Check HTTP Server and Database Status

This endpoint returns a HTTP 200 status code when Ory Kratos is up running and the environment dependencies (e.g.

GET /health/ready

This endpoint returns a HTTP 200 status code when Ory Kratos is up running and the environment dependencies (e.g. the database) are responsive as well.

If the service supports TLS Edge Termination, this endpoint does not require the X-Forwarded-Proto header to be set.

Be aware that if you are running multiple nodes of Ory Kratos, the health status will never refer to the cluster state, only to a single instance.

Operation ID: isReady    Tag: metadata

Responses

StatusDescriptionBody
200Ory Kratos is ready to accept requests.application/json, object
503Ory Kratos is not yet ready to accept requests.application/json, object
defaultUnexpected errortext/plain, string

Generated from /tmp/kratos-api.json at build time.

On this page